# $Revision: 1.24 $, $Date: 2007/01/23 23:05:33 $
%define 	jpackage_distver 1.6
Summary:	JPackage utilities
Summary(pl):	Narzdzia JPackage
Name:		jpackage-utils
Version:	1.6.6
Release:	15
Epoch:		0
License:	BSD-like
Group:		Development/Languages/Java
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	85336e72018ecefa2f9999fc4e6f3eb8
Patch0:		%{name}-pdksh.patch
Patch1:		%{name}-checkdir.patch
Patch2:		%{name}-errors.patch
URL:		http://www.jpackage.org/
BuildRequires:	rpmbuild(macros) >= 1.318
Requires:	/bin/egrep
Requires:	/bin/sed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities from the JPackage Project <http://www.jpackage.org/>:

- %{_bindir}/build-classpath build the Java classpath in a portable
  manner
- %{_bindir}/build-jar-repository build a jar repository in a portable
  manner
- %{_bindir}/rebuild-jar-repository rebuild a jar repository in a
  portable manner (after a jvm change...)
- %{_bindir}/build-classpath-directory build the Java classpath from a
  directory
- %{_bindir}/diff-jars show jar content differences
- %{_bindir}/jvmjar install jvm extensions
- %{_datadir}/java-utils/java-functions shell script functions library
  for Java applications
- %{_sysconfdir}/java/jpackage-release string identifying the
  currently installed JPackage release
- %{_sysconfdir}/java/java.conf system-wide Java configuration file
- %{_docdir}/%{name}-%{version}/jpackage-policy Java packaging policy
  for packagers and developers of JPackage Project

%description -l pl
Narzdzia z projektu JPackage <http://www.jpackage.org/>:

- %{_bindir}/build-classpath tworzy ciek do klas (classpath) Javy w
  przenony sposb
- %{_bindir}/build-jar-repository tworzy repozytorium jar w przenony
  sposb
- %{_bindir}/rebuild-jar-repository przebudowuje repozytorium jar w
  przenony sposb (po zmianie jvm)
- %{_bindir}/build-classpath-directory tworzy ciek do klas
  (classpath) Javy z katalogu
- %{_bindir}/diff-jars pokazuje rnice midzy zawartoci jarw
- %{_bindir}/jvmjar instaluje rozszerzenia jvm
- %{_datadir}/java-utils/java-functions to biblioteka funkcji skryptw
  powoki dla aplikacji w Javie
- %{_sysconfdir}/java/jpackage-release to acuch okrelajcy
  aktualnie zainstalowane wydanie JPackage
- %{_sysconfdir}/java/java.conf to oglnosystemowy plik konfiguracyjny
  Javy
- %{_docdir}/%{name}-%{version}/jpackage-policy to polityka
  pakietowania Javy dla osb pakietujcych i programistw z projektu
  JPackage

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
echo "JPackage release %{jpackage_distver} (PLD Linux port) for %{buildarch}" > etc/jpackage-release

%install
rm -rf $RPM_BUILD_ROOT

# arch independant
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/java,/etc/env.d,%{_javadocdir},%{_javadir}} \
	$RPM_BUILD_ROOT{%{_jvmsysconfdir},%{_jvmcommondatadir},%{_jvmdatadir},%{_jvmcommonsysconfdir}} \
	$RPM_BUILD_ROOT%{_javadir}-{utils,ext,1.4.0,1.4.1,1.4.2,1.5.0,1.6.0} \

# arch dependant
install -d \
	$RPM_BUILD_ROOT{%{_jvmdir},%{_jvmjardir},%{_jvmprivdir},%{_jvmcommonlibdir},%{_jnidir}} \
	$RPM_BUILD_ROOT%{_jnidir}-{ext,1.4.0,1.4.1,1.4.2,1.5.0,1.6.0}

%if "%{_lib}" != "lib"
%define _ujvmdir			%{_prefix}/lib/jvm
%define _ujvmjardir			%{_prefix}/lib/jvm-exports
%define _ujvmprivdir		%{_prefix}/lib/jvm-private
%define _ujvmcommonlibdir	%{_prefix}/lib/jvm-common
%define _ujnidir			%{_prefix}/lib/java
%define _ujvmlibdir			%{_prefix}/lib/jvm

install -d \
	$RPM_BUILD_ROOT{%{_ujvmdir},%{_ujvmjardir},%{_ujvmprivdir},%{_ujvmcommonlibdir},%{_ujnidir}} \
	$RPM_BUILD_ROOT%{_ujnidir}-{ext,1.4.0,1.4.1,1.4.2,1.5.0,1.6.0}
%endif

install -pm 755 bin/* $RPM_BUILD_ROOT%{_bindir}
install -pm 644 etc/font.properties $RPM_BUILD_ROOT%{_sysconfdir}/java

cat > etc/java.conf << 'EOF'
# System-wide Java configuration file                                -*- sh -*-
#
# JPackage Project <http://www.jpackage.org/>

# Location of jar files on the system
JAVA_LIBDIR=%{_javadir}

# Location of arch-specific jar files on the system
JNI_LIBDIR=%{_jnidir}

# Root of all JVM installations
JVM_ROOT=%{_jvmdir}

# You can define a system-wide JVM root here if you're not using the default one
#JAVA_HOME=$JVM_ROOT/java

# Options to pass to the java interpreter
JAVACMD_OPTS=
EOF

install -pm 644 etc/java.conf $RPM_BUILD_ROOT%{_sysconfdir}/java
install -pm 644 etc/jpackage-release $RPM_BUILD_ROOT%{_sysconfdir}/java
install -pm 644 java-utils/* $RPM_BUILD_ROOT%{_javadir}-utils

cat << 'EOF' >$RPM_BUILD_ROOT/etc/env.d/JAVA_HOME
JAVA_HOME=$(. %{_javadir}-utils/java-functions; set_jvm >&2; echo "$JAVA_HOME")
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%env_update

%postun
%env_update

%files
%defattr(644,root,root,755)
%doc LICENSE.txt doc/* etc/httpd-javadoc.conf
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/java
%config %{_sysconfdir}/java/jpackage-release
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/java/java.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/java/font.properties
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/*

# arch dependant
%dir %{_jvmdir}
%dir %{_jvmjardir}
%dir %{_jvmprivdir}
%dir %{_jvmcommonlibdir}
%dir %{_jnidir}
%dir %{_jnidir}-*
%if "%{_lib}" != "lib"
%dir %{_ujvmdir}
%dir %{_ujvmjardir}
%dir %{_ujvmprivdir}
%dir %{_ujvmcommonlibdir}
%dir %{_ujnidir}
%dir %{_ujnidir}-*
%endif

# arch independant
%dir %{_jvmdatadir}
%dir %{_jvmsysconfdir}
%dir %{_jvmcommondatadir}
%dir %{_jvmcommonsysconfdir}
%dir %{_javadir}
%dir %{_javadir}-*
%docdir %{_javadocdir}
%dir %{_javadocdir}
%{_javadir}-utils/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jpackage-utils.spec,v $
Revision 1.24  2007/01/23 23:05:33  glen
- add -errors.patch; rel 15

Revision 1.23  2007/01/23 11:58:22  glen
- add java-1.6.0 dirs; rel 14

Revision 1.22  2007/01/22 14:01:28  glen
- check for $JAVA_HOME being directory not just arbitary string; rel 13

Revision 1.21  2007/01/11 12:41:43  glen
- support 32-bit dirs on archs with lib64
- rel 12

Revision 1.20  2007/01/11 12:22:41  glen
- avoid $JAVA_HOME containing errors from set_jvm

Revision 1.19  2006/11/30 15:21:43  glen
- rel 11: do not set JAVA_HOME env file contents at compile time

Revision 1.18  2006/08/31 23:23:05  glen
- rel 10

Revision 1.17  2006/08/31 17:16:51  glen
- call env-update also in %postun, rel 9

Revision 1.16  2006/08/31 16:06:11  glen
- rel 8: added %env_update

Revision 1.15  2006/06/01 20:14:31  arekm
- rel 7; unset some variables to get proper JAVA_HOME

Revision 1.14  2006/05/25 23:29:46  qboosh
- docdir is only flag, dir must be added anyway

Revision 1.13  2006/05/25 11:06:22  jajcus
- %{_javadocdir} made %docdir

Revision 1.12  2006/05/25 09:11:04  jajcus
- this packaga is not noarch any more

Revision 1.11  2006/05/25 07:30:21  jajcus
- Release: 5
- use PLD rpm macros instead of those provided by jpackage-utils sources

Revision 1.10  2006/05/24 10:38:42  jajcus
- Release: 4

Revision 1.9  2006/05/23 20:32:47  glen
- rpm-javaprov removal cleanup

Revision 1.8  2006/05/23 20:16:32  glen
- macros.java dropped (rpm-build-macros >= 1.300 provide them)

Revision 1.7  2006/05/21 22:47:01  qboosh
- pl, missing defattr

Revision 1.6  2006/05/21 20:20:16  glen
- create rpm-javaprov similiar to other languages

Revision 1.5  2006/05/21 18:02:44  jajcus
- ignore environment settings when evaluating %{java_home} and %{java} macros

Revision 1.4  2006/05/20 19:20:58  jajcus
- Release: 2
- ExclusiveArch removed

Revision 1.3  2006/05/20 17:31:34  jajcus
- set $JAVA_HOME here, so it will work for any jpackage-compatible jvm package

Revision 1.2  2006/05/19 22:10:13  glen
- %distribution macro is undefined

Revision 1.1  2006/05/19 13:43:47  jajcus
- new spec
